Loading...
Searching...
No Matches
Opm::Well::WellInjectionProperties Struct Reference

## Public Member Functions

bool | operator== (const WellInjectionProperties &other) const
bool | operator!= (const WellInjectionProperties &other) const
| WellInjectionProperties (const UnitSystem &units, const std::string &wname)
void | handleWELTARG (WELTARGCMode cmode, const UDAValue &new_arg, double SIFactorP)
void | handleWCONINJE (const DeckRecord &record, const double bhp_def, bool availableForGroupControl, const std::string &well_name, const KeywordLocation &location)
| Handle a WCONINJE keyword.
void | handleWCONINJH (const DeckRecord &record, const int vfp_table_nr, const double bhp_def, const bool is_producer, const std::string &well_name, const KeywordLocation &loc)
| Handle a WCONINJH keyword.
bool | hasInjectionControl (InjectorCMode controlModeArg) const
void | dropInjectionControl (InjectorCMode controlModeArg)
void | addInjectionControl (InjectorCMode controlModeArg)
void | clearControls ()
void | resetDefaultHistoricalBHPLimit ()
void | resetBHPLimit ()
void | setBHPLimit (const double limit)
InjectionControls | controls (const UnitSystem &unit_system, const SummaryState &st, double udq_default) const
bool | updateUDQActive (const UDQConfig &udq_config, UDQActive &active) const
bool | updateUDQActive (const UDQConfig &udq_config, const WELTARGCMode cmode, UDQActive &active) const
void | update_uda (const UDQConfig &udq_config, UDQActive &udq_active, UDAControl control, const UDAValue &value)
void | handleWTMULT (Well::WELTARGCMode cmode, double factor)
void | setGasInjComposition (const std::vector< double > &composition)
const std::vector< double > & | gasInjComposition () const
template<class Serializer>
void | serializeOp (Serializer &serializer)

## Static Public Member Functions

static WellInjectionProperties | serializationTestObject ()

## Public Attributes

std::string | name
UDAValue | surfaceInjectionRate
UDAValue | reservoirInjectionRate
UDAValue | BHPTarget
UDAValue | THPTarget
double | bhp_hist_limit = 0.0
double | thp_hist_limit = 0.0
double | BHPH
double | THPH
int | VFPTableNumber
bool | predictionMode
int | injectionControls
InjectorType | injectorType
InjectorCMode | controlMode
double | rsRvInj
std::optional< std::vector< double > > | gas_inj_composition {}

## Member Function Documentation

## handleWCONINJE()

void Opm::Well::WellInjectionProperties::handleWCONINJE | ( | const DeckRecord & | record,
|  | const double | bhp_def,
|  | bool | availableForGroupControl,
|  | const std::string & | well_name,
|  | const KeywordLocation & | location )

Handle a WCONINJE keyword.

Parameters

  record | The deck record to use
  bhp_def | The default BHP target in input units
  availableForGroupControl | True if available for group control
  well_name | Name of well
  location | Location of keyword for logging purpose

## handleWCONINJH()

void Opm::Well::WellInjectionProperties::handleWCONINJH | ( | const DeckRecord & | record,
|  | const int | vfp_table_nr,
|  | const double | bhp_def,
|  | const bool | is_producer,
|  | const std::string & | well_name,
|  | const KeywordLocation & | loc )

Handle a WCONINJH keyword.

Parameters

  record | The deck record to use
  vfp_table_nr | The vfp table number
  bhp_def | The default BHP limit in SI units
  is_producer | True if well is a producer
  well_name | Name of well
  loc | Location of keyword for logging purpose

The documentation for this struct was generated from the following files:

- opm/input/eclipse/Schedule/Well/Well.hpp
- opm/input/eclipse/Schedule/Well/WellInjectionProperties.cpp